[PC-BSD Commits] r356 - pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts
svn at pcbsd.org
svn at pcbsd.org
Wed Jun 20 14:28:05 PDT 2007
Author: kris
Date: 2007-06-20 22:28:05 +0100 (Wed, 20 Jun 2007)
New Revision: 356
Modified:
pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh
Log:
Add wireless detect for iwi cards
Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh 2007-06-20 21:23:34 UTC (rev 355)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh 2007-06-20 21:28:05 UTC (rev 356)
@@ -49,17 +49,22 @@
for i in $NIC; do
- echo "${config}" | grep "${i}0" >/dev/null 2>/dev/null
- if [ "$?" = "0" ]
- then
- echo "ifconfig_${i}0=\"DHCP\"" >> /mnt/etc/rc.conf
- fi
+ echo "${config}" | grep "${i}0" >/dev/null 2>/dev/null
+ if [ "$?" = "0" ]
+ then
+ echo "ifconfig_${i}0=\"DHCP\"" >> /mnt/etc/rc.conf
+ # Check if we have an intel wireless card present
+ if [ "${i}" = "iwi" ]
+ then
+ echo "iwi_enable=\"YES\"" >> /mnt/etc/rc.conf
+ fi
+ fi
- echo "${config}" | grep "${i}1" >/dev/null 2>/dev/null
- if [ "$?" = "0" ]
- then
- echo "ifconfig_${i}1=\"DHCP\"" >> /mnt/etc/rc.conf
- fi
+ echo "${config}" | grep "${i}1" >/dev/null 2>/dev/null
+ if [ "$?" = "0" ]
+ then
+ echo "ifconfig_${i}1=\"DHCP\"" >> /mnt/etc/rc.conf
+ fi
done
More information about the Commits
mailing list